commit:     4ae1f2680f1307f0216b3ae580f6222e90aff5c8
Author:     Adrian Schollmeyer <nex+b-g-o <AT> nexadn <DOT> de>
AuthorDate: Fri Jul  8 21:30:12 2022 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Sat Jul  9 10:44:18 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ae1f268

dev-libs/libstrophe: add 0.12.1

Signed-off-by: Adrian Schollmeyer <nex+b-g-o <AT> nexadn.de>
Closes: https://github.com/gentoo/gentoo/pull/26296
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 dev-libs/libstrophe/Manifest                 |  1 +
 dev-libs/libstrophe/libstrophe-0.12.1.ebuild | 55 ++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-libs/libstrophe/Manifest b/dev-libs/libstrophe/Manifest
index a4ab34968f67..e430e17c7794 100644
--- a/dev-libs/libstrophe/Manifest
+++ b/dev-libs/libstrophe/Manifest
@@ -1 +1,2 @@
 DIST libstrophe-0.12.0.tar.xz 397120 BLAKE2B 
6ac32e317e14a8641b1d092026772264682b7b0980158757a82036f3db2643a6429e5553d9173b578111d5b8b503e9a98a4e140f98f8ac03866758624a1cec67
 SHA512 
dd0fc54840bb5626859f91c7bbe5204ea89332856392a5a33c50cf7f66c8aaa7b0d7c24bd737e8473d63f2c9d7683a75dcb9465a19634d14e54c9f8f20580884
+DIST libstrophe-0.12.1.tar.xz 398492 BLAKE2B 
9f0e06952603d51a0697366a83d6fa80af09161858d87bee8cfd95786944a58ad1551155b8b7a982646f775a695432822f33b36c6e52161db145dca98050689e
 SHA512 
54e255f756a6705dc554ce75dd6b4ea889822774ca38042548480ea026a7f4d411b4ba30f3aaf88776a0d8437f51eb07fb3675ddbfb0afd661d5f965b280dd52

diff --git a/dev-libs/libstrophe/libstrophe-0.12.1.ebuild 
b/dev-libs/libstrophe/libstrophe-0.12.1.ebuild
new file mode 100644
index 000000000000..a070ad9748ba
--- /dev/null
+++ b/dev-libs/libstrophe/libstrophe-0.12.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+DESCRIPTION="A simple, lightweight C library for writing XMPP clients"
+HOMEPAGE="http://strophe.im/libstrophe/";
+SRC_URI="https://github.com/strophe/${PN}/releases/download/${PV}/${P}.tar.xz";
+LICENSE="|| ( MIT GPL-3 )"
+# Subslot: ${SONAME}.1 to differentiate from previous versions without SONAME
+SLOT="0/0.1"
+KEYWORDS="~amd64"
+IUSE="doc expat gnutls"
+
+RDEPEND="
+       expat? ( dev-libs/expat )
+       !expat? ( dev-libs/libxml2:2 )
+       gnutls? ( net-libs/gnutls:0= )
+       !gnutls? ( dev-libs/openssl:0= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+       doc? ( app-doc/doxygen )
+"
+
+DOCS=( ChangeLog )
+
+src_configure() {
+       # shellcheck disable=SC2207
+       local myeconf=(
+               --enable-tls
+               $(use_with !expat libxml2)
+               $(use_with gnutls)
+       )
+       econf "${myeconf[@]}"
+}
+src_compile() {
+       default
+       if use doc; then
+               doxygen || die
+               HTML_DOCS=( docs/html/* )
+       fi
+}
+
+src_install() {
+       default
+       use doc && dodoc -r examples
+       find "${D}" -type f \( -name '*.la' -o -name '*.a' \) -delete || die
+}
+
+# Explicit src_test is there to document that the test suite is integrated and
+# is expected to pass. Please do not remove.
+src_test() {
+       emake check
+}

Reply via email to